@charset "utf-8";
:root {
  --color--kids-text: #362115;
}

.is-hidden {
  display: none;
}
.kids .contents {
  background: var(--color--bg-subtle);
}

/*===========================
Main Visual
=============================*/
.main-visual {
  width: 100%;
  padding-block: var(--space-40);
  overflow: hidden;
}

.main-visual__container {
  max-width: min(calc(1490 / 1400 * 100%), 1490px);
  margin-inline: auto;
  position: relative;
}

.main-visual__container img {
  width: 100%;
  height: auto;
}

.main-visual__container img:nth-child(1) {
  display: block;
}

.main-visual__container img:nth-child(2) {
  display: none;
}

@media (width <= 768px) {
  .main-visual__container {
    min-width: min(calc(1000 / 768 * 100%), 1000px);
    left: 50%;
    transform: translateX(-50%);
  }
}

@media (width <= 576px) {
  .main-visual {
    padding-block: var(--space-24) var(--space-16);
  }

  .main-visual__container {
    min-width: min(160%, 800px);
    left: 50%;
    transform: translateX(-50%);
  }
}
/*===========================
Kids Search
=============================*/
.kids-search {
  width: 100%;
  padding-block: var(--space-40);
}

.kids-search__container {
  max-width: 962px;
  margin-inline: auto;
  padding-inline: var(--space-16);
}

.kids-search__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(auto, 260px));
  gap: var(--space-24);
  justify-content: space-around;
  width: 100%;
}

.kids-search__item {
  width: 100%;
  height: auto;
  aspect-ratio: 1 / 1;
}

.kids-search__link {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 116px 1fr;
  gap: var(--space-6);
  place-items: center;
  width: 100%;
  height: 100%;
  padding-block: var(--space-32) var(--space-24);
  background: var(--color--bg-default);
  border-radius: var(--rounded-xl);
  border: 6px solid #e7ddd2;
  transition: border-color 0.3s ease;

  /* style */
  text-decoration: none;
  color: var(--color--kids-text);
}

.kids-search__icon {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 152px;
  height: auto;
}

.kids-search__icon img {
  width: 100%;
  height: auto;
  object-fit: contain;
}

.kids-search__title {
  font-size: var(--font-size-22);
  font-weight: var(--font-weight-bold);
  line-height: 1.4;
  letter-spacing: var(--tracking-20);
}

.kids-search__link:hover,
.kids-search__link:focus-within {
  border-color: #ea95b9;
}

@media (width <= 992px) {
  .kids-search {
    padding-block: var(--space-24);
  }

  .kids-search__list {
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: var(--space-24);
    padding-block: var(--space-24) var(--space-16);
    width: 100%;
  }

  .kids-search__item {
    aspect-ratio: unset;
  }
  .kids-search__title {
    font-size: var(--font-size-16);
  }
}

@media (width <= 576px) {
  .kids-search__list {
    grid-template-columns: 1fr;
    padding-block: var(--space-8);
    padding-inline: var(--space-16);
    gap: var(--space-24);
  }

  .kids-search__link {
    grid-template-columns: auto 1fr;
    column-gap: var(--space-16);
    row-gap: 0;
    padding-inline: var(--space-4) var(--space-16);
    padding-block: var(--space-8);
    justify-content: space-between;
  }

  .kids-search__title {
    place-self: center start;
    font-size: 5.8vw;
  }

  .kids-search__icon {
    max-height: unset;
    height: auto;
    max-width: 120px;
  }

  .kids-search__icon img {
    width: 100%;
    height: auto;
  }
}

/*===========================
Kids Info
=============================*/
.kids-info {
  padding-block: var(--space-32);
}

.kids-info__content {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-flow: row;
  row-gap: var(--space-32);
}

.kids-info__tabs {
  display: grid;
  grid-template-columns: auto auto;
  gap: var(--space-32);
  justify-content: center;
}

[role='tabpanel'].is-hidden {
  display: none;
}

[role='tablist'] button {
  /* layout */
  display: grid;
  grid-template-columns: auto auto;
  justify-content: center;
  align-items: center;
  gap: var(--space-8);
  width: 100%;
  max-width: 300px;
  padding-block: var(--space-8);
  padding-inline: var(--space-64);
  background: var(--color--bg-default);
  border: 4px solid #d8cbeb;
  border-radius: 12px;
  transition: background-color 0.3s ease-in;
  cursor: pointer;

  /* style */
  color: var(--color--text);
  font-size: var(--font-size-28);
  font-weight: var(--font-weight-medium);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

[role='tablist'] button::before {
  content: '';
  display: block;
  width: 44px;
  height: 44px;
  background-image: url(/core/img/kidschibita.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

[role='tab'][aria-selected='true'] {
  position: relative;
  background: #d8cbeb;
  cursor: default;
}

[role='tab'][aria-selected='true']::after {
  content: '';
  position: absolute;
  z-index: calc(var(--stack-foreground) + 3);
  inset-block-end: calc(var(--space-8) * -3);
  inset-inline-start: 50%;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-left: 16px solid transparent;
  border-right: 16px solid transparent;
  border-top: 24px solid #d8cbeb;
  transition: border-top-color 0.3s ease-in;
}

.kids-info__list {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-flow: row;
  gap: var(--space-16);
}

.kids-info__link {
  display: grid;
  grid-template-columns: auto 1fr auto;
  gap: var(--space-32);
  padding-block: var(--space-24);
  padding-inline: var(--space-24);
  background: var(--color--bg-default);
  border-radius: 14px;
  transition: background-color 0.3s ease-in;
  text-decoration: none;
}

.kids-info__link::after {
  content: '';
  display: block;
  width: 32px;
  height: 32px;
  background-image: url(/core/img/kidsarrow.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.kids-info__date {
  color: var(--color--text);
  font-size: var(--font-size-21);
  font-weight: var(--font-weight-regular);
  line-height: var(--leading-snug);
  letter-spacing: var(--tracking-50);
}

.kids-info__title {
  color: var(--color--kids-text);
  font-size: var(--font-size-21);
  font-weight: var(--font-weight-regular);
  line-height: var(--leading-snug);
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-exbold); */
}

.kids-info__link:hover,
.kids-info__link:focus-within {
  background: #caefea;
}

.kids-info__more {
  margin-inline: auto;
}

.kids-info__more-link {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  gap: var(--space-24);
  width: fit-content;
  padding-block: var(--space-16);
  padding-inline: var(--space-24);
  background: #d8cbeb;
  border-radius: 12px;
  transition: background-color 0.3s ease-in;

  /* style */
  color: var(--color--text);
  font-size: var(--font-size-23);
  font-weight: var(--font-weight-medium);
  text-decoration: none;
}

.kids-info__more-link::after {
  content: '';
  grid-column: 2;
  display: block;
  position: relative;
  width: 16px;
  height: 16px;
  border-top: 5px solid #fff;
  border-right: 5px solid #fff;
  transform: rotate(45deg);
}

.kids-info__more-link:hover,
.kids-info__more-link:focus-within {
  background: #ebb7d8;
}

@media (width <= 768px) {
  .kids-info__tabs {
    gap: var(--space-24);
  }

  [role='tablist'] button {
    max-width: unset;
    padding-inline: var(--space-24);
    font-size: var(--font-size-24);
  }

  .kids-info__link {
    gap: var(--space-16);
    padding-block: var(--space-24);
    padding-inline: var(--space-24);
  }

  .kids-info__title {
    grid-column: 1 / span 2;
    grid-row: 2;
  }

  .kids-info__link::after {
    grid-column: 3;
    grid-row: 1 / span 2;
    place-self: center end;
    width: 24px;
    height: 24px;
  }
}

@media (width <= 576px) {
  .kids-info__tabs {
    gap: var(--space-16);
  }

  [role='tablist'] button {
    max-width: unset;
    padding-inline: var(--space-8);
    font-size: 5vw;
  }

  [role='tablist'] button::before {
    width: 32px;
    height: 32px;
  }

  .kids-info__link {
    gap: var(--space-8);
    padding: var(--space-16);
  }

  .kids-info__date,
  .kids-info__title {
    font-size: var(--font-size-16);
  }

  .kids-info__more-link {
    gap: var(--space-16);
    padding-block: var(--space-16);
    padding-inline: var(--space-16);
    font-size: 3.8vw;
  }
}

/*===========================
Kids Support
=============================*/
.kids-support {
  width: 100%;
  padding-block: var(--space-32) var(--space-104);
}

.kids-support__link {
  display: grid;
  grid-template-columns: auto 1fr auto;
  place-items: center;
  gap: var(--space-32);

  width: fit-content;
  margin-inline: auto;
  padding-block: var(--space-16);
  padding-inline: var(--space-40);
  background: #f0c6ca;
  border-radius: 14px;
  outline: 3px dashed #fff;
  outline-offset: -8px;
  transition: background-color 0.3s ease-in;

  /* style */
  color: var(--color--kids-text);
  font-size: var(--font-size-26);
  font-weight: var(--font-weight-medium);
  letter-spacing: var(--tracking-100);
  /* text-shadow: var(--text-shadow-bold); */
  text-decoration: none;
}

.kids-support__link::before {
  content: '';
  display: block;
  width: 86px;
  height: 86px;
  background: var(--color--bg-default);
  border-radius: var(--rounded-full);
  background-image: url(/core/img/leaf.png);
  background-size: 65%;
  background-repeat: no-repeat;
  background-position: center 30px;
}

.kids-support__link::after {
  content: '';
  display: block;
  width: 30px;
  height: 30px;
  background-image: url(/core/img/kidsarrow-wh.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.kids-support__link:hover,
.kids-support__link:focus {
  background: #9fdbdb;
}

@media (width <= 576px) {
  .kids-support {
    padding-block: var(--space-32) var(--space-64);
  }

  .kids-support__link {
    gap: var(--space-8);
    padding-block: var(--space-24);
    padding-inline: var(--space-16);
    font-size: 4.5vw;
  }

  .kids-support__link::before {
    width: 32px;
    height: 32px;
    background-size: 65%;
    background-position: center 10px;
  }

  .kids-support__link::after {
    width: 24px;
    height: 24px;
  }
}

/*===========================
Kids Guide
=============================*/
.kids-guide {
  padding-block-start: var(--space-32);
  padding-block-end: calc(var(--space-64) * 2);
}

.kids-guide__wrapper {
  position: relative;
  padding-block: var(--space-64);
  background: var(--color--bg-default);
}

.kids-guide__wrapper::before {
  content: '';
  position: absolute;
  top: -54px;
  left: 0;
  background-image: url(/core/img/kidsbg.png);
  background-size: auto 100%;
  background-repeat: repeat-x;
  background-position: -20px;
  width: 100%;
  height: 54px;
  filter: drop-shadow(0 -2px 2px #e3e0b98b);
}

.kids-guide__wrapper::after {
  content: '';
  position: absolute;
  bottom: -54px;
  left: 0;
  background-image: url(/core/img/kidsbg.png);
  background-size: auto 100%;
  background-repeat: repeat-x;
  background-position: -20px;
  width: 100%;
  height: 54px;
  transform: scaleY(-1) scaleX(-1);
  filter: drop-shadow(0 -2px 2px #e3e0b98b);
}

.kids-guide__container {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-flow: row;
  place-items: center;
  gap: var(--space-64);
}

.kids-guide__title-text {
  position: relative;
  display: inline-flex;
  padding-block-end: var(--space-16);

  /* style */
  color: var(--color--kids-text);
  font-size: var(--font-size-32);
  font-weight: var(--font-weight-medium);
  /* text-shadow: var(--text-shadow-medium); */
}

.kids-guide__title-text::after {
  content: '';
  position: absolute;
  inset-block-end: calc(var(--space-12) * -1);
  inset-inline-start: 0;
  width: 100%;
  height: 14.62px;
  background-image: url('../img/kidsunderline.png');
  background-repeat: repeat-x;
  background-size: 100% auto;
}

.kids-guide__description {
  margin-block: 0;

  color: var(--color--kids-text);
  font-size: var(--font-size-20);
  font-weight: var(--font-weight-regular);
  line-height: var(--leading-relaxed);
  /* text-shadow: var(--text-shadow-bold); */
  text-align: center;
}

.kids-guide__section {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-flow: row;
  gap: var(--space-8);
  margin-block-end: var(--space-24);
}

.kids-guide__section-heading {
  display: grid;
  grid-template-columns: auto auto;
  justify-content: center;
  gap: var(--space-8);
  padding-block: var(--space-12);
  padding-inline: var(--space-16);
  width: fit-content;
  min-width: 266px;
  background: #fddbe1;
  border-radius: 8px;

  /* style */
  color: var(--color--text);
  font-size: var(--font-size-22);
  font-weight: var(--font-weight-medium);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.kids-guide__section-title {
  grid-column: 2;
  place-self: center start;
}

.kids-guide__section-heading::before {
  content: '';
  display: block;
  width: 44px;
  height: 44px;
  background-image: url(/core/img/kidschibita.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.kids-guide__section-text,
.kids-guide__list-item {
  color: var(--color--kids-text);
  font-size: var(--font-size-20);
  font-weight: var(--font-weight-regular);
}

.kids-guide__list,
.kids-guide__section-text {
  padding-inline: var(--space-16);
}

.kids-guide__list {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-flow: row;
  gap: var(--space-6);
}

.kids-guide__section p {
  margin-block: 0;
}

.kids-guide__section li {
  list-style-type: disc;
  list-style-position: inside;
}

.kids-guide__section li::marker {
  font-size: 0.8em;
}

.kids-guide__calendar {
  padding: var(--space-24);
  max-width: calc(480px + 48px);
  margin-inline: auto;
}

.kids-guide__link {
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr auto;
  place-items: center;
  gap: var(--space-16);
  width: 100%;
  margin-inline: auto;
  padding-block: var(--space-16);
  padding-inline: var(--space-24);
  background: var(--color--bg-subtle);
  border-radius: 14px;
  border: 6px solid #fff;
  box-shadow: 0 0 0 4px #72c7c7;
  transition: background-color 0.3s ease-in;

  /* style */
  color: var(--color--kids-text);
  text-decoration: none;
}

.kids-guide__link::before {
  content: '';
  display: block;
  width: 60px;
  height: 60px;
  background-image: url(/core/img/kidshori.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.kids-guide__link span {
  position: relative;
  place-self: center start;
  padding-block-end: var(--space-16);
  background-image: linear-gradient(to right, #72c7c7 8px, transparent 8px);
  background-size: 18px 3px;
  background-repeat: repeat-x;
  background-position: bottom;

  /* style */
  font-size: var(--font-size-26);
  font-weight: var(--font-weight-medium);
  line-height: 1;
  letter-spacing: var(--tracking-20);
  /* text-shadow: var(--text-shadow-exbold); */
}

.kids-guide__link::after {
  content: '';
  display: block;
  width: 24px;
  height: 24px;
  margin-inline-start: auto;
  background-image: url(/core/img/kidsarrow.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.kids-guide__link:hover,
.kids-guide__link:focus-within {
  background: #caefea;
}

@media (width <= 768px) {
  .kids-guide__title-text {
    font-size: var(--font-size-24);
  }

  .kids-guide__description {
    text-align: start;
  }
}

@media (width <= 576px) {
  .kids-guide__wrapper {
    padding-block: var(--space-32);
  }

  .kids-guide__wrapper::before {
    top: -46px;
    background-size: auto 70%;
  }

  .kids-guide__wrapper::after {
    bottom: -46px;
    background-size: auto 70%;
  }

  .kids-guide__title-text {
    font-size: var(--font-size-21);
  }

  .kids-guide__container {
    gap: var(--space-32);
  }

  .kids-guide__description {
    font-size: var(--font-size-16);
  }

  .kids-guide__section-title {
    font-size: var(--font-size-14);
  }

  .kids-guide__section {
    gap: var(--space-12);
  }

  .kids-guide__section-text,
  .kids-guide__list-item {
    font-size: 4vw;
  }

  .kids-guide__link {
    gap: var(--space-12);
    padding-block: var(--space-16);
    padding-inline: var(--space-12);
  }

  .kids-guide__link::before {
    width: 32px;
    height: 32px;
  }

  .kids-guide__link span {
    font-size: var(--font-size-18);
  }

  .kids-guide__calendar {
    padding: var(--space-16);
    max-width: calc(320px + 32px);
    margin-inline: auto;
  }
}
